/*
 * Constants for binding NetModule NBHW14 FGPA GPIO
 *
 * Copyright 2018 NetModule AG.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 */

#ifndef _DT_BINDINGS_GPIO_NM_NBHW14_FPGA_GPIO_H
#define _DT_BINDINGS_GPIO_NM_NBHW14_FPGA_GPIO_H

/* TODO: delete the following line when we switch to GPIO DT bindings */
#define NM_NBHW14_FPGA_GPIO_BASE 64

#define NM_NBHW14_FPGA_GPIO_LED0_GREEN 0
#define NM_NBHW14_FPGA_GPIO_LED0_RED   1
#define NM_NBHW14_FPGA_GPIO_LED1_GREEN 2
#define NM_NBHW14_FPGA_GPIO_LED1_RED   3
#define NM_NBHW14_FPGA_GPIO_LED2_GREEN 4
#define NM_NBHW14_FPGA_GPIO_LED2_RED   5
#define NM_NBHW14_FPGA_GPIO_LED3_GREEN 6
#define NM_NBHW14_FPGA_GPIO_LED3_RED   7
#define NM_NBHW14_FPGA_GPIO_LED4_GREEN 8
#define NM_NBHW14_FPGA_GPIO_LED4_RED   9
#define NM_NBHW14_FPGA_GPIO_LED5_GREEN 10
#define NM_NBHW14_FPGA_GPIO_LED5_RED   11
#define NM_NBHW14_FPGA_GPIO_LED6_GREEN 12
#define NM_NBHW14_FPGA_GPIO_LED6_RED   13

#define NM_NBHW14_FPGA_GPIO_PCIE1_RST 16
#define NM_NBHW14_FPGA_GPIO_PCIE2_RST 17
#define NM_NBHW14_FPGA_GPIO_PCIE3_RST 18
#define NM_NBHW14_FPGA_GPIO_PCIE4_RST 19
#define NM_NBHW14_FPGA_GPIO_PCIE5_RST 20
#define NM_NBHW14_FPGA_GPIO_PCIE6_RST 21

#define NM_NBHW14_FPGA_GPIO_PCIE1_PWR 24
#define NM_NBHW14_FPGA_GPIO_PCIE2_PWR 25
#define NM_NBHW14_FPGA_GPIO_PCIE3_PWR 26
#define NM_NBHW14_FPGA_GPIO_PCIE4_PWR 27
#define NM_NBHW14_FPGA_GPIO_PCIE5_PWR 28
#define NM_NBHW14_FPGA_GPIO_PCIE6_PWR 29

#define NM_NBHW14_FPGA_GPIO_EN_GPS_ANT 31

#define NM_NBHW14_FPGA_GPIO_PSE_SSI_OUTPUT_1_DOUT0 32
#define NM_NBHW14_FPGA_GPIO_PSE_SSI_OUTPUT_1_DOUT1 33

#define NM_NBHW14_FPGA_GPIO_PSE_SSI_INPUT_1_DIN0 40
#define NM_NBHW14_FPGA_GPIO_PSE_SSI_INPUT_1_DIN1 41

#define NM_NBHW14_FPGA_GPIO_PCIE1_WDIS 48
#define NM_NBHW14_FPGA_GPIO_PCIE2_WDIS 49
#define NM_NBHW14_FPGA_GPIO_PCIE3_WDIS 50
#define NM_NBHW14_FPGA_GPIO_PCIE4_WDIS 51
#define NM_NBHW14_FPGA_GPIO_PCIE5_WDIS 52
#define NM_NBHW14_FPGA_GPIO_PCIE6_WDIS 53

#define NM_NBHW14_FPGA_GPIO_PCIE1_WAKE 65
#define NM_NBHW14_FPGA_GPIO_PCIE2_WAKE 66
#define NM_NBHW14_FPGA_GPIO_PCIE3_WAKE 67
#define NM_NBHW14_FPGA_GPIO_PCIE4_WAKE 68
#define NM_NBHW14_FPGA_GPIO_PCIE5_WAKE 69
#define NM_NBHW14_FPGA_GPIO_PCIE6_WAKE 70

#define NM_NBHW14_FPGA_GPIO_PGOOD 81

#endif /* _DT_BINDINGS_GPIO_NM_NBHW14_FPGA_GPIO_H */
